package com.jkcredit.invoice.mapper.binvoce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.BillInvoice;
import com.jkcredit.invoice.model.vo.CompanyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BillInvoiceMapper extends BaseMapper<BillInvoice>{
    IPage<List<BillInvoice>> selectAllByPage(Page page, @Param("billInvoice") BillInvoice billInvoice);

    BillInvoice selectAllByPageByBillInvoice( BillInvoice record);

    @Override
    int insert(BillInvoice record);

    int updateByPrimaryKey(BillInvoice record);

    int updateByInvoiceNum(BillInvoice record);

    List<BillInvoice> selectByBillNum(String wayBillNum);

    int deleteByBillNum(String wayBillNum);

    BillInvoice selectByInvoiceNum(String wayBillNum);
    Map<String,String> findInvoiceStatics(@Param("billInvoice") BillInvoice billInvoice);

    List<BillInvoice> selectNoCarNoVoiceQuery(String customerName);

    int upDateCompany(CompanyVo companyVo);
}
